nodes / migrateall
1 operation.
POST /nodes/{node}/migrateall
ts
proxmox.nodes.$(node).migrateall.$post()Migrate all VMs and Containers.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
max-workers | number | Maximal number of parallel migration job. If not set, uses'max_workers' from datacenter.cfg. One of both must be set! — min 1, max 64 | |
maxworkers | number | Maximal number of parallel migration job. If not set, uses'max_workers' from datacenter.cfg. One of both must be set!Deprecated, use 'max-workers' instead. — min 1, max 64 | |
node | string | yes | The cluster node name. — format pve-node |
target | string | yes | Target node. — format pve-node |
vms | string | Only consider Guests with these IDs. — format pve-vmid-list | |
with-local-disks | boolean | Enable live storage migration for local disk |